<?php

class fgtsTestimonialsShortcode{

	function __construct(){		
		add_shortcode( 'fgts_testimonials', array($this, 'fgts_testimonial_func' ));
	}

	function fgts_testimonial_func(){ 
		ob_start();		
		$fgts_content = '';
		$fgts_content .= '<div id="fgts-testimonials-slider" class="owl-carousel owl-theme">';

		$fgts_numofposts = get_option('fgts_numofposts');
		$fgts_perpost = !empty($fgts_numofposts)  ? $fgts_numofposts : -1 ;
		$args = array(
			'posts_per_page' => $fgts_perpost,
			'post_type' => 'fgts_post_type',
			'post_status' => 'publish'
		);  
		$fgts_wp_query = new WP_Query( $args ); 				

		if ( $fgts_wp_query->have_posts() ) : 				
		while ( $fgts_wp_query->have_posts() ) : $fgts_wp_query->the_post(); 

		$feat_image = wp_get_attachment_url( get_post_thumbnail_id((get_the_ID())) ); 
		$fgts_meta = get_post_meta( get_the_ID(), 'fgts_testimonial_fields', true ); 
			
		$fgts_content .= '<div class="item">
						<div class="col-md-12">
			        	<div class="fgts-item-wrap">';

			        	$fgts_img_chkbx = get_option('fgts_img_chkbx');
						if(!empty($fgts_img_chkbx) && $fgts_img_chkbx=="true"){
			        		if(isset($feat_image) && !empty($feat_image)){ 
		$fgts_content .='<div class="fgts-image">
			        		<figure class="fgts-image-holder">
			        			<img src="'.esc_url( $feat_image ).'" alt="image">
			        		</figure>
			        	</div>';
			        	 }else{ 
		$fgts_content .='<div class="fgts-image">
			        		<figure class="fgts-image-holder">
			        			<img src="'.FGTS_URI.'images/default.png" alt="image">
			        		</figure>
			        	</div>';
			        	 } 
						}
						$title = trim(get_the_title()); 
			        	if(!empty( $title  ) ){
		$fgts_content .='<div class="fgts-personname">
							<h5>'.esc_attr(get_the_title()).'</h5>
						</div>';
						} 
			        	
			        	$fgts_desig = get_option('fgts_designation_chkbx');
						if(!empty($fgts_desig) && $fgts_desig=="true"){
			        		if(isset($fgts_meta['designation']) && !empty($fgts_meta['designation'])){
	    $fgts_content .='<div class="fgts-designation">
							<h5>'.esc_html( $fgts_meta['designation'] ).'</h5>
						</div>';
						 	} 
						}
						$the_content = get_the_content();
						if(!empty( $the_content ) ){ 
		$fgts_content .= '<div class="fgts-text">'.esc_attr(get_the_content()).'
			        	</div>';
			        	} 

	$fgts_content .= '</div>
			    </div>
			    </div>';
			endwhile; endif; wp_reset_postdata(); 
	$fgts_content .= '</div>';
					  if ( $fgts_wp_query->have_posts() ){
					  $fgts_viewbtn = get_option('fgts_viewbtn');
					  $fgts_viewbtn_link = get_option('fgts_viewbtn_link');
						if(!empty($fgts_viewbtn)){			        		
	$fgts_content .= '<div class="fgts-view-btn">
					  	<a href="'.esc_url( $fgts_viewbtn_link ).'">'.esc_html( $fgts_viewbtn ).'</a>
					  </div>';
					}
				}

			return '<div class="fgts_slider_wrap">'.$fgts_content.'</div>';			
	ob_flush(); 

	} 	

}

// create an instance of fgtsTestimonialsShortcode
$fgts_srt = new fgtsTestimonialsShortcode();
